Subject: [Ietf-message-headers] Configuration-Context header registration request

From: Andrii Berezovskyi <[email-masked]>
Date: Thu, 14 Oct 2021 13:33:43 +0000

Hello,

OASIS Open Services for Lifecycle Collaboration (OSLC) Open Project (OP) would like to submit the following registration request:

Header field name: Configuration-Context

Applicable protocol: http (RFC 2616 and its successors)

Status:
    provisional (in active use since ca. 2009, OASIS OSLC Configuration Management specification is standards-track, standard status will be requested for the header once OASIS Standard version is reached for the specification)

Author/Change controller:
    OASIS (can be Chet Ensign or the OASIS OSLC OP Project Governing Board (PGB) itself)

Specification document(s):
    https://docs.oasis-open-projects.org/oslc-op/config/v1.0/psd01/config-resources.html#configcontext (ABNF definition in §4, Part 3; Project Specification Draft 01 approved by a vote on 2021-10-02)

Related information:
    https://github.com/oslc-op/oslc-specs/issues/144 for tracking this request on the OSLC side.

Answers to the considerations in https://tools.ietf.org/html/rfc7231#section-8.3:

1) The header is a single value.
2) The header only has defined semantics for requests.
3) Servers do not store the header on PUT requests. However, server PUT behavior may vary under different header values.
4) Field semantics do not change depending on context, the field itself defines a context.
5) The field does not affect the HTTP connection, no need to include it in the 'Connection' header.
6) Intermediaries SHALL NOT modify or delete this field, it's inseparable from the request body. In rare cases, intermediaries (proxies) may set a default value for compatibility reasons.
7) Yes, it makes sense to include this header in the Vary response header field.
8) This header is not useful in trailers.
9) The header is ought to be preserved in redirects.
10) The header does not introduce additional security considerations. However, its nature is to denote a context and it may be used to correlate the belonging of multiple resources to a single context.

Thank you kindly for your time and the consideration of our application.

Best regards,
Andrew Berezovskyi

OSLC OP PGB co-chair

---

From: Andrii Berezovskyi <[email-masked]>
Date: Thu, 14 Oct 2021 13:39:53 +0000

My apologies, I just checked the web archive to ensure my letter was received and noticed that the process for registration has changed, as indicated by Julian Reschke. I will follow https://datatracker.ietf.org/doc/draft-ietf-httpbis-semantics/19/ and https://httpwg.org/http-core/draft-ietf-httpbis-semantics-latest.html#fields.registry to file a correct application. Thank you.

–Andrew.

On 2021-10-14, 15:34, "Ietf-message-headers on behalf of Andrii Berezovskyi" <[email-masked] on behalf of [email-masked]> wrote:

    Hello,

    Status:

    Related information:

    Best regards,
    Andrew Berezovskyi

    OSLC OP PGB co-chair

    _______________________________________________
    Ietf-message-headers mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/ietf-message-headers